@charset "utf-8";

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;
  transition: var(--default);
}
.header.hide {
  transform: translateY(-100%);
}

.h_logo {
  max-width: 214px;
  width: 13%;
}

.h_logo img {
  width: 100%;
  height: auto;
}

.header .inner {
  max-width: 1920px;
  width: 90%;
  margin: 0 auto 0 5%;
  display: flex;
  align-items: flex-start;
}

.header .nav-menu {
  display: flex;
  gap: calc(56 / 1920 * 100vw);
  align-items: center;
  justify-content: flex-end;
  flex: 1;
  margin-top: 39px;
}

.header .nav-menu a {
  position: relative;
  padding-bottom: 8px;
}
.header .nav-menu a::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  margin: auto;
  bottom: 0;
  width: 6px;
  height: 6px;
  background-color: #401a33;
  border-radius: 50px;
  opacity: 0;
}
.header .nav-menu a:hover::after {
  opacity: 1;
}

.header .nav-menu a p {
  font-weight: 700;
  font-size: 16px;
  color: #401a33;
}

.header .menu-contact {
  max-width: 308px;
  width: 21%;
  clip-path: polygon(10% 0, 100% 0%, 90% 100%, 0% 100%);
  background-color: #401a33;
  flex: 1;
}

.header .menu-contact a {
  clip-path: polygon(10% 0, 100% 0%, 90% 100%, 0% 100%);
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 19px 0;
  justify-content: center;
}

.header .menu-contact a p {
  font-weight: 500;
  font-size: 20px;
  color: #fff;
}

.hamburger,
.navigation {
  display: none;
}
@media (max-width: 1400px) {
  .header .inner {
    width: 95%;
    margin: 0 auto;
  }
  .header .nav-menu {
    gap: 3%;
  }
}

@media (max-width: 1300px) {
  .header .nav-menu {
    gap: 2%;
  }
  .h_logo {
    max-width: calc(67 / 400 * 100vw);
    width: 9%;
  }
  .header .menu-contact {
    max-width: 280px;
  }
}

@media (max-width: 1100px) {
  .header .inner {
    width: 90%;
    align-items: center;
  }

  .header.active {
    background-color: #ffffff;
  }

  .header .nav-menu > a,
  .header .menu-contact {
    display: none;
  }

  .hamburger {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 27px;
    cursor: pointer;
    z-index: 100;
    position: relative;
  }

  .hamburger .line {
    position: absolute;
    left: 0;
    width: 100%;
    height: 0.5px;
    background-color: #401a33;
    transition: var(--default);
  }

  .hamburger .line1 {
    top: 0;
  }

  .hamburger .line2 {
    top: 10px;
  }

  .hamburger.active .line1 {
    top: 5px;
    transform: rotate(17deg);
  }
  .hamburger.active .line2 {
    top: 5px;
    transform: rotate(-17deg);
  }

  .hamburger::after {
    content: "MENU";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    font-family: var(--zenkaku);
    font-weight: 400;
    font-size: 10px;
    letter-spacing: 0.1em;
    text-align: center;
    color: #401a33;
  }

  .navigation .menu-inner {
    padding: 66px 0 100px;
    width: 60%;
    display: flex;
    align-items: center;
    gap: 24px;
    flex-direction: column;
    margin: 0 auto;
  }

  .navigation .menu-inner .menu-list {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 25px;
    margin-bottom: 40px;
    width: 100%;
  }

  .navigation a {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 5% 24px;
    border-bottom: 0.5px solid #d6d6d6;
  }
  .navigation a p {
    font-family: var(--zenkaku);
    font-weight: 700;
    font-size: 16px;
    color: #401a33;
  }

  .navigation a .arrow {
    width: 25px;
    height: auto;
  }

  .navigation {
    display: block;
    position: fixed;
    pointer-events: none;
    top: var(--header-height);
    right: -100%;
    width: 100%;
    background-color: #ffffff;
    transition: all 0.8s;
    z-index: 9995;
    overflow: auto;
    height: calc(100svh - var(--header-height));
  }

  .navigation .btnarea {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  .navigation .btnarea .item {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 0 12px;
  }

  .navigation .btnarea .link-text {
    font-family: var(--zenkaku);
    font-weight: 700;
    font-size: 14px;
    letter-spacing: 0.2em;
    text-align: center;
    color: #fff;
  }

  .navigation .btnarea .btn-line {
    background-color: #03c755;
  }

  .navigation .btnarea .btn-reserve {
    background-color: #401a33;
    gap: 10px;
  }

  .navigation.active {
    right: 0;
    pointer-events: all;
  }
}

@media (max-width: 1023px) {
}

@media (max-width: 767px) {
  .h_logo {
    width: 100%;
  }
}

/* 管理画面用 */
.gjs-dashed .navigation {
  right: 0;
  top: 0;
  pointer-events: all;
}
